##########################################
##Copyright
##This software is copyright of amigura
##and http://www.amigura.co.uk
##########################################

DROP TABLE IF EXISTS `amidwn_emails`;
CREATE TABLE `amidwn_emails` (
  `eid` int(11) NOT NULL auto_increment,
  `ename` varchar(100) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  PRIMARY KEY  (`eid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 ;

INSERT INTO `amidwn_emails` VALUES (1, 'Welcome Message', 'Welcome to  amigura.co.uk', 'Dear #username#,\r\n\r\nYou are now registered at our web site.\r\nTo login, simply go to our web page and enter in the following details in the login form:\r\n\r\n&lt;b&gt;Username:&lt;/b&gt; #username#\r\n&lt;b&gt;Password:&lt;/b&gt; #password#\r\n\r\nPlease print this information out and store it for future reference.\r\n\r\nThanks,\r\n\r\nAdmin\r\n#siteurl#');
INSERT INTO `amidwn_emails` VALUES (2, 'Confirmation Message', 'confirmation email from amigura.co.uk', 'Dear #username#,\r\n\r\nYou have completed the first part of registration at our web site.\r\n\r\nTo complete registration just click on the link to comfirm your email.\r\n\r\n#conurl#\r\n\r\n\r\nTo login, simply go to our web page and enter in the following details in the login form:\r\n\r\n<b>Username:</b> #username#\r\n<b>Password:</b> #password#\r\n\r\nPlease print this information out and store it for future reference.\r\n\r\nThanks,\r\n\r\nAdmin\r\n#siteurl#');


DROP TABLE IF EXISTS `amidwn_files`;
CREATE TABLE `amidwn_files` (
  `fid` int(11) NOT NULL auto_increment,
  `filenum` varchar(10) default NULL,
  `filelink` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `dlc` int(11) NOT NULL default '0',
  `lastdwn` datetime NOT NULL default '0000-00-00 00:00:00',
  `dateadded` date NOT NULL default '0000-00-00',
  `filesummary` varchar(255) NOT NULL default '',
  `fileshow` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`fid`),
  UNIQUE KEY `filenum` (`filenum`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `amidwn_log`;
CREATE TABLE `amidwn_log` (
  `logid` int(11) NOT NULL auto_increment,
  `datelg` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` varchar(15) default NULL,
  `agent` varchar(100) NOT NULL default '',
  `userlg` varchar(100) default NULL,
  `typelg` tinyint(4) default NULL,

  `errormess` char(3) default NULL,
  `lgpage` varchar(50) NOT NULL,
  PRIMARY KEY  (`logid`),
  KEY `typelg` (`typelg`),
  KEY `errormess` (`errormess`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `amidwn_members`;
CREATE TABLE `amidwn_members` (
  `mid` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `user` varchar(20) NOT NULL default '',
  `pass` varchar(32) default NULL,
  `email` varchar(255) NOT NULL default '',
  `ip` varchar(15) NOT NULL default '',
  `signup` date NOT NULL default '0000-00-00',
  `login` datetime NOT NULL default '0000-00-00 00:00:00',
  `p` varchar(32) default NULL,
  `status` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`mid`),
  UNIQUE KEY `user` (`user`),
  KEY `pass` (`pass`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `amidwn_misc`;
CREATE TABLE `amidwn_misc` (
  `id` tinyint(4) NOT NULL auto_increment,
  `message` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 ;

INSERT INTO `amidwn_misc` VALUES (1, 'News: easy as 123\r\n\r\nhello');
INSERT INTO `amidwn_misc` VALUES (2, '127.0.0.1');

DROP TABLE IF EXISTS `amidwn_settings`;
CREATE TABLE `amidwn_settings` (
  `id` int(11) NOT NULL auto_increment,
  `adminemail` varchar(255) NOT NULL default '',
  `conemail` varchar(5) NOT NULL default '',
  `user` varchar(20) NOT NULL default '',
  `pass` varchar(32) default NULL,
  `url` varchar(255) NOT NULL default '',
  `burl` varchar(255) NOT NULL default '',
  `ip` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 ;

INSERT INTO `amidwn_settings` VALUES (1, 'noreply@amigura.co.uk', '2', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'http://www.amigura.co.uk/downloads/', '/ami/bookshop/mywebs/members/', '127.0.0.1');
        